Package org.eclipse.core.runtime

# Interface IRegistryEventListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `PropertySheet`

public interface IRegistryEventListener extends EventListener
A registry event listener is notified of changes to extension points. Changes include modifications of extension points and their extensions. Listeners will only receive a notification if the extension point they are registered for is modified. (Which includes modifications of extensions under the extension point.)

This interface can be used without OSGi running.

Clients may implement this interface.

Since:
  3.4
See Also:
  - `IExtensionRegistry.addListener(IRegistryEventListener, String)`

## Method Summary

Modifier and Type
Method
Description
`void`
`added(IExtension[] extensions)`
Notifies this listener that extensions were added to the registry.
`void`
`added(IExtensionPoint[] extensionPoints)`
Notifies this listener that extension points were added to the registry.
`void`
`removed(IExtension[] extensions)`
Notifies this listener that extensions were removed from the registry.
`void`
`removed(IExtensionPoint[] extensionPoints)`
Notifies this listener that extension points were removed from the registry.

## Method Details

### added

void added(IExtension[] extensions)
Notifies this listener that extensions were added to the registry.

The extensions supplied as the argument are valid only for the duration of the invocation of this method.

Parameters:
  `extensions` - extensions added to the registry

### removed

void removed(IExtension[] extensions)
Notifies this listener that extensions were removed from the registry.

The extensions supplied as the argument are valid only for the duration of the invocation of this method.

Parameters:
  `extensions` - extensions removed from the registry

### added

void added(IExtensionPoint[] extensionPoints)
Notifies this listener that extension points were added to the registry.

The extension points supplied as the argument are valid only for the duration of the invocation of this method.

Parameters:
  `extensionPoints` - extension points added to the registry

### removed

void removed(IExtensionPoint[] extensionPoints)
Notifies this listener that extension points were removed from the registry.

The extension points supplied as the argument are valid only for the duration of the invocation of this method.

Parameters:
  `extensionPoints` - extension points removed from the registry